漏洞信息详情

GNU Chess 缓冲区错误漏洞

漏洞简介

GNU Chess是一款开源的国际象棋游戏引擎。

GNU Chess 6.2.5版本中的frontend/cmd.cc文件的‘cmd_load’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://www.gnu.org/software/chess/

受影响实体

    暂无

补丁

    暂无